> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Worker Summary Report

> Start an asynchronous job to generate a Worker Summary report covering employee and contractor details for a company.



## OpenAPI

````yaml openapi/zeal-api.json post /reports/worker-summary
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /reports/worker-summary:
    post:
      summary: Create Worker Summary Report
      description: Create a worker summary report.
      operationId: create-a-worker-summary-report
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - worker_type
                - media_type
              properties:
                companyID:
                  type: string
                  description: Zeal Company ID
                worker_type:
                  type: string
                  description: >-
                    Type of worker this report can be downloaded for. Accepted
                    values are "employee" and "contractor".
                  enum:
                    - employee
                    - contractor
                media_type:
                  type: string
                  description: >-
                    The type of format this report can be downloaded as. Worker
                    Summary Report currently support "csv" and "pdf".
                  enum:
                    - csv
                    - pdf
                active_workers:
                  type: boolean
                  description: >-
                    Determine whether the worker summary report returns
                    terminated workers
            examples:
              Request Example:
                value:
                  companyID: fc235f012bae46aa8a082f357715bcfa
                  worker_type: employee
                  media_type: csv
                  active_workers: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      job_id: 707ce36e-2267-2088-9fc4-c34d57c69c72
                      status: pending
                      request_body:
                        companyID: 24bsb29f07924840b119c34c1358940c
                        worker_type: employee
                        media_type: pdf
                        active_workers: true
                        has_live_key: true
                        report_format: worker_summary
                      created_at: '2023-12-29T18:21:28.951Z'
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: 707ce36e-2267-2088-9fc4-c34d57c69c72
                      status:
                        type: string
                        example: pending
                      request_body:
                        type: object
                        properties:
                          companyID:
                            type: string
                            example: 24bsb29f07924840b119c34c1358940c
                          worker_type:
                            type: string
                            example: employee
                          media_type:
                            type: string
                            example: pdf
                          active_workers:
                            type: boolean
                            example: true
                            default: true
                          has_live_key:
                            type: boolean
                            example: true
                            default: true
                          report_format:
                            type: string
                            example: worker_summary
                      created_at:
                        type: string
                        example: '2023-12-29T18:21:28.951Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Must provide a valid companyID
                        code: 50
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Must provide a valid companyID
                        code:
                          type: integer
                          example: 50
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````